Skip to main content

Get a pass template

GET /pass-templates/{id}

Requires the pass_templates:read permission.

Authorization

X-API-Key required

Parameters

NameLocationTypeRequired
idpathstringYes

Request Examples

curl -X GET "https://api.remypass.com/api/v1/public/pass-templates/507f1f77bcf86cd799439011" \
  -H "Accept: application/json" \
  -H "X-API-Key: YOUR_API_KEY"

Use Case Examples

Get pass template by ID

curl -X GET https://api.remypass.com/api/v1/public/pass-templates/507f1f77bcf86cd799439012 \
-H "Authorization: Bearer YOUR_API_KEY"

Responses

StatusDescription
200Pass template retrieved.
400Bad request or validation error.
401Missing or invalid API key.
403The caller is not allowed to access this resource.
404Resource not found.
500Server error.

200 Response Example

{
"success": true,
"message": "string",
"data": {
"_id": "507f1f77bcf86cd799439012",
"name": "string",
"description": "string",
"type": "string",
"approved": true,
"design": {
"backgroundColor": "#0F172A",
"foregroundColor": "#FFFFFF",
"labelColor": "#CBD5E1",
"voidedBackgroundColor": "#64748B",
"logoText": "RemyPass",
"icon": "https://cdn.remypass.com/passes/icon.png",
"appleLogo": "https://cdn.remypass.com/passes/apple-logo.png",
"googleLogo": "https://cdn.remypass.com/passes/google-logo.png",
"googleWideLogo": "https://cdn.remypass.com/passes/google-wide-logo.png",
"heroImage": "https://cdn.remypass.com/passes/hero.png",
"stripImage": "https://cdn.remypass.com/passes/strip.png",
"colorVariants": [
{
"id": "gold-members",
"name": "Gold members",
"field": "custom_membershipLevel",
"value": "Gold",
"colors": {
"backgroundColor": "#F59E0B",
"foregroundColor": "#111827",
"labelColor": "#374151",
"voidedBackgroundColor": "#92400E"
}
}
]
},
"loyalty": {
"initialStamps": 0,
"maxStamps": 10,
"emptyStampIconBgColor": "#FFFFFF",
"filledStampIcon": "https://cdn.remypass.com/passes/filled-stamp.png",
"filledStampIconBgColor": "#007BFF",
"rewardIcon": "https://cdn.remypass.com/passes/reward.png",
"stripBackgroundColor": "#F8F9FA",
"stripBackgroundImage": "https://cdn.remypass.com/passes/loyalty-strip.png",
"stampShape": "circle",
"issueRewards": true,
"deactivateOnMaxStamps": false,
"rewardTitle": "Free Coffee",
"rewardDescription": "Show this reward to claim your free coffee.",
"stampSingular": "Stamp",
"stampPlural": "Stamps"
}
}
}

Response Fields

FieldTypeAttributes
successboolean
messagestring
dataobject
Show child attributes
  • _id: string
  • name: string
  • description: string
  • type: string
  • approved: boolean
  • design: object
    Show child attributes
    • backgroundColor: string
    • foregroundColor: string
    • labelColor: string
    • voidedBackgroundColor: string
    • logoText: string
    • icon: string (uri)
    • appleLogo: string (uri)
    • googleLogo: string (uri)
    • googleWideLogo: string (uri)
    • heroImage: string (uri)
    • stripImage: string (uri)
    • colorVariants: array of object
      Show child attributes
      • id: string
      • name: string
      • field: string
      • value: string
      • colors: object
  • loyalty: object
    Show child attributes
    • initialStamps: integer
    • maxStamps: integer
    • emptyStampIconBgColor: string
    • filledStampIcon: string (uri)
    • filledStampIconBgColor: string
    • rewardIcon: string (uri)
    • stripBackgroundColor: string
    • stripBackgroundImage: string (uri)
    • stampShape: circle, rounded, square
    • issueRewards: boolean
    • deactivateOnMaxStamps: boolean
    • rewardTitle: string
    • rewardDescription: string
    • stampSingular: string
    • stampPlural: string